/*
 * AddHeadAddList.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "adtable.h"

#ifdef _SP_MODE
void AddHeadAddList(addlist &al, slist s, sp_node addr, sp_node parent,
		unsigned int constr) {
	sp_address t;
#else
void AddHeadAddList(addlist &al, slist s, node *addr, node *parent,
		unsigned int constr) {
	address *t;
#endif

	t = new address;
	assert(t!=NULL);
	t->addr = addr;
	t->parent = parent;
	t->source = s;
	t->constraint = constr;
	t->next = NULL;
	t->next = al.head;
	al.head = t;
	al.card++;
}
