/*
 * DestroyAddList.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */

#include "adtable.h"

void DestroyAddList(addlist &al) {


	#ifdef _SP_MODE
	sp_address t, p;
	#else
	address *t, *p;
	#endif
	t = al.head;

	while (t != NULL) {
		p = t;
		t = t->next;
		#ifdef _SP_MODE
		check_ptr (p);
		#else
		delete p;
		#endif
	}

	al.head = NULL;
	al.card = 0;
}
