/*
 * CountOpenDNode.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "dtree.h"

#ifdef _SP_MODE
void CountOpenDNode(sp_dnode s) {

	sp_dnode t;
#else
void CountOpenDNode(dnode *s) {

	dnode *t;
#endif
	BYTE childrenno;
	childrenno = 0;//count number of children;
	t = s->children;
	while (t) {
		childrenno++;
		t = t->sibling;
	}

	if (adtable[s->id].card > childrenno) {
		if (_countorfind) {
			_opendnodeno++;
		} else {
			_opendnodeno--;
			if (_opendnodeno == 0) {
				_opendnode = s;
			}
		}
	}
}
