/*
 * DNodOrder.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "dtree.h"

#ifdef _SP_MODE
int DNodeOrder(sp_dnode p, sp_dnode q) {
#else
int DNodeOrder(dnode *p, dnode *q) {
#endif

	if (InDNode(p, q)) {
		return 1;//p is in q
	} else if (InDNode(q, p)) {
		return -1;//q is in p
	} else {
		return 0;// different branch
	}
}
