/*
 * DNodOrder.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "dtree.h"

#ifdef _SP_MODE
sp_dnode MakeDNode(SIZE id, BYTE addno) {

	sp_dnode t;
#else
dnode *MakeDNode(SIZE id, BYTE addno) {

	dnode *t;
#endif
	t = new dnode;
	assert(t!=NULL);
	t->id = id;
	t->addno = addno;
	t->lexlist = BuildLList(etree[id].root);
	t->sibling = NULL;
	t->children = NULL;

	return t;
}
