/*
 * DNodOrder.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "dtree.h"

#ifdef _SP_MODE
void PostorderDNode(sp_dnode t) {

	sp_dnode p;
#else
void PostorderDNode(dnode *t) {

	dnode *p;
#endif

	if (t) {
		p = t->children;
		while (p) {
			PostorderDNode(p);
			p = p->sibling;
		}
		_doitdnode(t);
	}
}
