/*
 * variable.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

//****************************************************************************
//This file contains declarations and operations for derivation trees in TAGs*
//Programmed by NXH (version 3.2)                                            *
//****************************************************************************

#include "dtree.h"
#include "../gconst.h"

#ifdef _SP_MODE

void (*_doitdnode)(sp_dnode n);

unsigned int _dnodecount;
BOOL _countleave;

unsigned int _dnodebranch;
BOOL _indnode;
sp_dnode _checkdnode;
sp_dnode _idnode;
sp_dnode _idnodeparent;
unsigned int _indexdnode;

sp_node _oldfoot2;//this variable contains the foot node of the source tree
sp_node _newfoot2;//this variable contains the footnode of the newtree

unsigned int _opendnodeno;
sp_dnode _opendnode;
BOOL _countorfind;

int _openaddno;
sp_dnode _opendnodeadd;
BYTE _openaddindex;
BOOL _cf, _stop;

unsigned int _leavecount;

#else
void (*_doitdnode)(dnode *n);

unsigned int _dnodecount;
BOOL _countleave;

unsigned int _dnodebranch;
BOOL _indnode;
dnode *_checkdnode;
dnode *_idnode;
dnode *_idnodeparent;
unsigned int _indexdnode;

node *_oldfoot2 = NULL;//this variable contains the foot node of the source tree
node *_newfoot2 = NULL;//this variable contains the footnode of the newtree

unsigned int _opendnodeno;
dnode *_opendnode;
BOOL _countorfind;

int _openaddno;
dnode *_opendnodeadd;
BYTE _openaddindex;
BOOL _cf, _stop;

unsigned int _leavecount;
#endif
