/*
 * ComputIndividualRF.cpp
 *
 *  Created on: 2010. 5. 15.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "evolution.h"

//**************************************
//Compute the fitness of an individual *
//**************************************
double ComputeIndividualRF(individual v) {

	stree s;
	double f;
	s = Decode(v, FALSE);
	f = ComputeRF(s);
	DeleteTree(s);

	return f;
}
