/*
 * Greedy.cpp
 *
 *  Created on: 2010. 5. 15.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "evolution.h"

void Greedy(unsigned int times) {

	unsigned int i, j;
	individual p;

	for (i = 0; i < poplen; i++) {
		for (j = 0; j < times; j++) {
			p = CopyIndividual(oldpop[i], TRUE);

			if (Flip(0.5)) {
				Insert(p, 1, FALSE);
			} else {
				Delete(p, 1);
			}

			p.fitness = ComputeIndividualRF(p);

			if (p.fitness < oldpop[i].fitness) {
				DeleteDNode(oldpop[i].chrom);
				oldpop[i] = CopyIndividual(p, FALSE);
			}
		}
	}
}
