/*
 * DNodeLexMutation.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

#ifdef _SP_MODE
void DNodeLexMutation(sp_dnode t) {
#else
void DNodeLexMutation(dnode *t) {
#endif

	if (t) {
		if (!EmptyLList(t->lexlist)) {
			DeleteLList(t->lexlist);
			t->lexlist = BuildLList(etree[t->id].root);
		}
	}
}
