/*
 * OneStepMutation.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

BOOL OneStepMutation(individual &child, BOOL shape) {

	int action;
	action = IRandom(1, 4);

	switch (action) {
	case 1:
		if (PointReplace(child)) {
			return TRUE;
		} else {
			return FALSE;
		}
	case 2:
		if (Delete(child, 1)) {
			return TRUE;
		} else {
			return FALSE;
		}
	case 3:
		if (Insert(child, 1, shape)) {
			return TRUE;
		} else {
			return FALSE;
		}
	case 4:
		if (PointLexMutation(child)) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
	return FALSE;
}
