//************************************************************************************
//TAG3P VERSION 3.2 @copyright by Nguyen Xuan Hoai                                   *
//This file contains individual,population representations and genetic operators     *
//************************************************************************************

#include "genetic.h"

#ifdef _SP_MODE
sa_individual oldpop, newpop;//New and old populations
#else
individual *oldpop, *newpop;//New and old populations
#endif
unsigned int poplen; //population length
double pcross, pinsert, pdelete, preplace, pmutate, prep, ptran;//probability for genetic operations
long ncross, ninsert, ndelete, nreplace, nmutate, nrep, ntran;//statistics
BOOL _cut = TRUE;
long rootswapping = 0;

#ifdef _SP_MODE
boost::shared_array<double> _pointdis;
#else
double *_pointdis;
#endif
unsigned int _dnodeindex1;

#ifdef _SP_MODE
boost::shared_array<SIZE> _replacelist;
#else
SIZE *_replacelist;
#endif
