/*
 * InitList.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "lexicon.h"

llist CopyLList(llist l) {

	llist t;

	#ifdef _SP_MODE
	sp_lnode p;
	#else
	lnode *p;
	#endif

	IniLList(t);
	p = l.head;

	while (p) {

		AddTailLList(t, p->lexiconid, p->lexemeid, p->value);
		p = p->next;
	}

	return t;
}
