/*
 * DeleteIntron.cpp
 *
 *  Created on: 2010. 5. 15.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "prune.h"

void DeleteIntron(individual &v) {//delete introns as subcodes of type 1 and 2

	_variance = 0.0;//subject to change
	_activesize = v.size;
	_rawfitness = ComputeIndividualRF(v);
	MarkingDtree1(v.chrom, v);
	// cout <<endl<<"Active size:"<<_activesize;
	PruneDNode(v.chrom, NULL);
	v.size = _activesize;
	v.branch = GetAVGDNode(v.chrom);
}
