/*
 * OldDeleteIntron.cpp
 *
 *  Created on: 2010. 5. 15.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */
#include "prune.h"

void OldDeleteIntron(individual &v) //delete introns as subcode of type 1 (complete sub-tree) only
{
	_variance = 0.0;//subject to change
	_activesize = v.size;
	_rawfitness = ComputeIndividualRF(v);
	OldMarkingDtree1(v.chrom, v);
	cout << endl << "Active size:" << _activesize;
	PruneDNode(v.chrom, NULL);
	v.size = _activesize;
	v.branch = GetAVGDNode(v.chrom);
}
