/*
 * SubCodeDetect.cpp
 *
 *  Created on: 2010. 5. 15.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */
#include "prune.h"

#ifdef _SP_MODE
sp_dnode SubCodeDetect(individual &v, BOOL type, BOOL &subcodetype) //subcode of type 1 and type 2
#else
dnode *SubCodeDetect(individual &v, BOOL type, BOOL &subcodetype) //subcode of type 1 and type 2
#endif
{
	if (type) {//find the most effective subcode
		_mloss = 999999999.99;
	} else {
		_mloss = -999999999.99;
	}

	_rawfitness2 = ComputeIndividualRF(v);
	_effordes = type;
	_subcode = NULL;

	#ifdef _SP_MODE
	sp_dnode nl;	
	MarkingDtree2(v.chrom, nl, v);
	#else
	MarkingDtree2(v.chrom, NULL, v);
	#endif
	subcodetype = _subcodetype;

	return _subcode;
}
