/*
 * InitRanGen.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

//Initialize the random generator
#include "random.h"

unsigned int IRandom(unsigned int lower, unsigned int upper) {

	unsigned int temp;
	assert(lower<=upper); // include this in #IFDEF later
	temp = lower + int(Next_Double() * (ABSDIFF(upper+1,lower)));
	return temp;
}
