/*
 * CopyTree.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "stree.h"

stree CopyTree(stree s) {

	stree t;
	_oldfoot = s.foot;
	#ifdef _SP_MODE
	_newfoot.reset();
	#else
	_newfoot = NULL;
	#endif
	t.root = CopyNode(s.root);
	t.foot = _newfoot;

	return t;
}
