/*
 * InNode.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "stree.h"

#ifdef _SP_MODE
BOOL InNode(sp_node p, sp_node q) {

	sp_node t;
#else
BOOL InNode(node *p, node *q) {

	node *t;
#endif
	t = q;

	if (t == p) {
		return TRUE;
	} else if (t) {
		t = t->children;
		while (t) {
			if (InNode(p, t)) {
				return TRUE;
			} else {
				t = t->sibling;
			}
		}
	}

	return FALSE;
}
