/*
 * MakeNode.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "stree.h"

#ifdef _SP_MODE
sp_node MakeNode(char *nname, double value) {

	sp_node t;
#else
node *MakeNode(char *nname, double value) {

	node *t;
#endif
	t = new node;
	assert(t!=NULL);
	strcpy(t->name, nname);
	t->value = value;
	t->sibling = NULL;
	t->children = NULL;

	return t;
}
