/*
 * TreeToString.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "stree.h"

#ifdef _SP_MODE
void TreeToString(sp_node r, sp_node f) {

	sp_node p;
#else
void TreeToString(node *r, node *f) {

	node *p;
#endif
	char st[20];

	if (r) {
		if (r->name[0] == 'R') {
			strcpy(st, "");
			sprintf(st, "%lf", r->value);
			strcat(_sbuff, st);
		} else {
			strcat(_sbuff, r->name);
		}

		if (r == f) {
			strcat(_sbuff, "~");
		}

		if (r->children) {
			strcat(_sbuff, "(");
			p = r->children;

			while (p) {
				TreeToString(p, f);
				p = p->sibling;
				
				if (p) {
					strcat(_sbuff, ",");
				}
			}

			strcat(_sbuff, ")");
		}
	}

}
