#include <stdlib.h>
#include "stree.h"
#include "../gconst.h"

#ifdef _SP_MODE
// defining NULL of smart pointer is not necessary. It is set to NULL in constructor

sp_node _oldfoot;//this variable contains the foot node of the source tree
sp_node _newfoot;//this variable contains the footnode of the newtree

void (*_doit)(sp_node n);

char _sbuff[MAXSTRING];
unsigned int _curchar = 0;
sp_node _sfoot;

unsigned int _nodecount;
BOOL _cntleave;

sa_stree etree;
SIZE numetree;
SIZE numalpha, numbeta;

#else
node *_oldfoot = NULL;//this variable contains the foot node of the source tree
node *_newfoot = NULL;//this variable contains the footnode of the newtree

void (*_doit)(node *n);

char _sbuff[MAXSTRING];
unsigned int _curchar = 0;
node *_sfoot = NULL;

unsigned int _nodecount;
BOOL _cntleave;

stree *etree;
SIZE numetree;
SIZE numalpha, numbeta;

#endif
