/*
 * BuildVocab.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */
#include "symregr.h"
#include <string>

void BuildVocab() {

	//const added by Dharani to fix the warning - deprecated conversion from string constant to ‘char*’
	const char *lx[] = { "R1", "R2" };
	stree s;
	vocab = new lexicon[1];
	lexnum = 1;
	strcpy(vocab[0].name, "R");
	vocab[0].card = 2;
	s = InitTree(lx[0]);
	vocab[0].lexemes[0].lex = s.root;
	vocab[0].lexemes[0].prob = 1.0;
	s = InitTree(lx[1]);
	vocab[0].lexemes[1].lex = s.root;
	vocab[0].lexemes[1].prob = 1.0;
	NormaliseVD();
}
