/*
 * ComputeRF.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "symregr.h"

double ComputeRF(stree st) {

	double sum = 0, t;
	unsigned int i;
	unsigned int hit;
	hit = 0;

	for (i = 0; i < NUMFITCASE; i++) {
		t = PVAL(fabs(Compute(st.root,fitcase[i].x)-fitcase[i].y));
		if (t <= 0.01){
			hit++;
		}
		sum += t;
	}

	if (hit == NUMFITCASE){
		SuccPredicate = TRUE;
	}

	return sum;
}
