/*
 * SetFitCase.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */

#include "symregr.h"

void SetFitCase() {

	double x;
	unsigned int i;

	for (i = 0; i < NUMFITCASE; i++) {
		// fscanf(fp,"%lf%lf",&x,&y);
		fitcase[i].x = 2 * Next_Double() - 1;
		x = fitcase[i].x;
		fitcase[i].y = x * x * x * x + x * x * x + x * x + x;
	}
}
