/*
 * AddAddress.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "adtable.h"

#ifdef _SP_MODE
void AddAddress(addlist &al, sp_node t, sp_node parent, unsigned int constr) {
#else
void AddAddress(addlist &al, node *t, node *parent, unsigned int constr) {
#endif
	SIZE i;
	slist s;

	if (t->children != NULL) { //exclude the foot node from being adjoined

		IniSlist(s);

		for (i = 0; i < numetree; i++) {

			if (!IsAlpha(etree[i]) && !strcmp(t->name, (etree[i].root)->name)) {

				//will be changed (inthe next version when adjoined constraints are allowed)
				AddHeadSlist(s, i, 1.0);//can change later
			}
		}

		if (!EmptySlist(s)) {

			AddHeadAddList(al, s, t, parent, constr);//make the address increasing
		}
	}
}
