/*
 * AddEntry.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */

#include "adtable.h"

#ifdef _SP_MODE
void AddEntry(addlist &al, sp_node t, sp_node parent) {
	sp_node p;
#else
void AddEntry(addlist &al, node *t, node *parent) {
	node *p;
#endif
	if (t != NULL) {
		AddAddress(al, t, parent, 0);//constraint- 0  no constraint (in this version)
		p = t->children;

		while (p) {
			AddEntry(al, p, t);
			p = p->sibling;
		}
	}
}
