/*
 * AddTailAddList.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */
#include "adtable.h"

#ifdef _SP_MODE
void AddTailAddList(addlist &al, slist s, sp_node addr, sp_node parent, int constr) {
	sp_address t, p;
#else
void AddTailAddList(addlist &al, slist s, node *addr, node *parent, int constr) {
	address *t, *p;
#endif
	t = new address;
	assert(t!=NULL);
	t->addr = addr;
	t->parent = parent;
	t->source = s;
	t->constraint = constr;
	t->next = NULL;

	if (EmptyAddList(al)) {
		al.head = t;
	} else {
		p = al.head;
		while (p->next) {
			p = p->next;
		}
		p->next = t;
	}

	al.card++;
}
