/*
 * BuildAdTable.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */

#include "adtable.h"

void BuildAdTable(void) {

	SIZE i;
	InitializeAdTable();

	for (i = 0; i < entrynum; i++){
		#ifdef _SP_MODE
		sp_node t;
		AddEntry(adtable[i], etree[i].root, t);
		#else
		AddEntry(adtable[i], etree[i].root, NULL);
		#endif
	}

	NormaliseAD();
}
