/*
 * DestroySlist.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "adtable.h"


void DestroySlist(slist &s) {

	#ifdef _SP_MODE
	sp_snode t, p;
	#else
	snode *t, *p;
	#endif
	t = s.head;

	while (t != NULL) {
		p = t;
		t = t->next;
		#ifdef _SP_MODE
		check_ptr(p);
		#else
		delete p;
		#endif
	}

	s.head = NULL;
	s.card = 0;
}
