/*
 * DisplaySlist.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */

#include "adtable.h"

void DisplaySlist(slist s) {

	#ifdef _SP_MODE
	sp_snode t;
	#else
	snode *t;
	#endif
	t = s.head;
	cout << endl << "number of trees:" << s.card << endl;

	while (t) {
		cout << t->id;
		cout << "-probability:" << t->prob << "; ";
		t = t->next;
	}
}
