/*
 * InitializeAdTable.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "adtable.h"
void InitializeAdTable(void) {

	SIZE i;
	entrynum = numetree;//each elementary tree has exactly one entry
	#ifdef _SP_MODE
	adtable.reset(new addlist[entrynum]);
	#else
	adtable = new addlist[entrynum];
	#endif
	assert(adtable!=NULL);

	for (i = 0; i < entrynum; i++){
		IniAddList(adtable[i]);
	}
}
