/*
 * NormaliseTD.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */

#include "adtable.h"

void NormaliseTD(slist s) {

	double sum;
	#ifdef _SP_MODE
	sp_snode t;
	#else
	snode *t;
	#endif
	sum = 0;
	t = s.head;

	while (t) {
		sum += t->prob;
		t = t->next;
	}

	t = s.head;

	while (t) {
		t->prob /= sum;
		t = t->next;
	}
}
