/*
 * variable.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "dtree.h"
#include "../stree/stree.h"

#ifdef _SP_MODE
void AddQueue(queue &q, sp_dnode t) {

	sp_queuenode p(new queuenode);
#else
void AddQueue(queue &q, dnode *t) {

	queuenode *p;
	p = new queuenode;
#endif
	assert(p!=NULL);
	p->id = t;
	p->next = NULL;

	if (EmptyQueue(q)) {
		q.head = p;
		q.tail = p;
		q.card = 1;
	} else {
		(q.tail)->next = p;
		q.tail = p;
		q.card++;
	}
}
