/*
 * variable.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "dtree.h"

#ifdef _SP_MODE
void CountOpenAddDNode(sp_dnode s) {

	sp_dnode t;
#else
void CountOpenAddDNode(dnode *s) {

	dnode *t;
#endif
	BYTE childrenno;

	if (!_stop) {
		childrenno = 0;//count number of children;
		t = s->children;

		while (t) {
			childrenno++;
			t = t->sibling;
		}

		if (adtable[s->id].card > childrenno) {
			if (_cf) {
				_openaddno += adtable[s->id].card - childrenno;
			} else {
				_openaddno -= adtable[s->id].card - childrenno;
				if (_openaddno <= 0) {
					_stop = TRUE; //stop the finding
					_opendnodeadd = s;
					_openaddindex = adtable[s->id].card - childrenno
							+ _openaddno; //the order of open address
				}
			}
		}
	}
}
