/*
 * DNodeBranchCount.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "dtree.h"

#ifdef _SP_MODE
void DNodeBranchCount(sp_dnode t) {

	sp_dnode p;
#else
void DNodeBranchCount(dnode *t) {

	dnode *p;
#endif
	BYTE i;

	if (t) {
		if (t->children != NULL) {
			i = 0;
			p = t->children;

			while (p) {
				i++;
				p = p->sibling;
			}
			_dnodebranch += i;
		}
	}
}
