/*
 * CountOpenDNode.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "dtree.h"

#ifdef _SP_MODE
BOOL DeleteBeta(sp_dnode s) {
#else
BOOL DeleteBeta(dnode *s) {
#endif

	if (s->children != NULL) {
		_leavecount = 0u;
		_doitdnode = CountLeave;
		PreorderDNode(s);
		_leavecount = IRandom(1u, _leavecount);
		#ifdef _SP_MODE
		sp_dnode nl;
		DeleteLeave(s,nl);
		#else
		DeleteLeave(s, NULL);
		#endif	

		return TRUE;
	}

	return FALSE;
}
