/*
 * DNodOrder.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "dtree.h"

#ifdef _SP_MODE
void FindDNode(sp_dnode t, sp_dnode parent) {
#else
void FindDNode(dnode *t, dnode *parent) {
#endif

	if (_indexdnode > 0) {
		if (t) {
			#ifdef _SP_MODE
			sp_dnode p;
			#else
			dnode *p;
			#endif

			_indexdnode--;
			if (_indexdnode == 0) {
				_idnode = t;
				_idnodeparent = parent;
			} else {
				p = t->children;
				while (p) {
					FindDNode(p, t);
					p = p->sibling;
				}
			}
		}
	}
}
