/*
 * DNodOrder.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "dtree.h"

#ifdef _SP_MODE
double GetAVGDNode(sp_dnode t) {
#else
double GetAVGDNode(dnode *t) {
#endif

	int size;
	size = GetSizeDNode(t, FALSE);
	_dnodebranch = 0;
	_doitdnode = DNodeBranchCount;
	PreorderDNode(t);

	return ((double) _dnodebranch) / size;
}
