/*
 * DNodOrder.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "dtree.h"

#ifdef _SP_MODE
void LocateDNode(unsigned int i, sp_dnode t, sp_dnode parent) {
#else
void LocateDNode(unsigned int i, dnode *t, dnode *parent) {
#endif

	_indexdnode = i;
	_idnode = NULL;
	_idnodeparent = NULL;
	FindDNode(t, parent);
}

#ifdef _SP_MODE
void LocateDNode(unsigned int i, sp_dnode t, int * temp_parent) {
	// to receive NULL value by the third parameter
	assert(temp_parent==NULL);
	sp_dnode parent; 
	
	assert(parent == NULL);
	_indexdnode = i;
	_idnode = NULL;
	_idnodeparent = NULL;
	FindDNode(t, parent);
}
#endif
