/*
 * DNodOrder.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "dtree.h"

#ifdef _SP_MODE
sp_dnode PopQueue(queue &q) {

	sp_queuenode p;
	sp_dnode t;
#else
dnode *PopQueue(queue &q) {

	queuenode *p;
	dnode *t;
#endif

	if (EmptyQueue(q)) {
		cout << "Error Pop From Empty Queue";
		exit(1);
	} else {
		p = q.head;
		q.head = (q.head)->next;
		if (q.head == NULL) {//return to empty
			q.tail = NULL;
		}
		q.card--;
		t = p->id;
		#ifdef _SP_MODE
		check_ptr(p);
		#else
		delete p;
		#endif
		return t;
	}
	
	#ifdef _SP_MODE
	sp_dnode nl;
	return nl;
	#else
	return NULL;
	#endif
}
