/*
 * DNodOrder.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "dtree.h"

#ifdef _SP_MODE
void UnMarkingDNode(sp_dnode t) {
#else
void UnMarkingDNode(dnode *t) {
#endif

	if (t->id < 0) {
		if (t->id <= -numetree) {
			t->id = -(t->id + numetree);
		} else {
			t->id = -t->id;
		}
	}
}
