//This file contain the main evolutionary code for TAG3P
//Programmed by NXH
#include "../gconst.h"
#include "../genetic/genetic.h"
#include "../symregr/symregr.h"

#ifdef _SP_MODE
#include "../smart_ptr.h"
#endif

extern unsigned int generation;
extern unsigned int gen;
#ifdef _SP_MODE
extern sa_individual bestcurrent;
extern boost::shared_array<double> average;
#else
extern individual *bestcurrent;
extern double *average;
#endif

void Init();

double ComputeIndividualRF(individual v);

void GreedyIndividual(individual &p, unsigned int times);

void Greedy(unsigned int times);

void ComputeFitness();

void Evolution();
