//This file contains some global constants and declarations
#ifndef __GCONST__
#define __GCONST__
typedef unsigned char BOOL;
typedef unsigned int SIZE;
typedef unsigned char BYTE;
typedef unsigned char LEXIZE;
#define MAXSTRING 40000	// max string length (for _sbuffer)
#define TRUE 1
#define FALSE 0
#define MAXNAME 6	// max+1 length of name of a symbol
#define MAXSIZE 40	// max size of chromosome (20 for sym, 40 for mulplex)
#define MINSIZE 2 	// min size of chromosome
#define MAXTOUR 10 	// max tournament size
#define TOURSIZE 3	// actual tournament size-not sure why both are needed?
#define MAXATEMPT 100	// max attempt for choosing a site of a chromosome
#define POPSIZE 6//500 	// population size - MUST BE EVEN
#define NGEN 10//51	// number of generations
#define PCROSS 0.9 	// crossover probability
#define PREPLACE 0.9 	// replacement probability
#define PDELETE 0 	// deletion probability
#define PINSERT 0 	// insertion probability
#define PMUTATE 0.0 	// mutation probability
#define PREP 0.0 	// replication probability
#define PTRAN 0.0 	// translocation probability
#define MIN(a,b) ((a<b)?(a):(b))
#define MAX(a,b) ((a>b)?(a):(b))
#define ABSDIFF(a,b) ((a>b)?(a-b):(b-a))	//Safe differencing of unsigned ints
#define dbgout cout	// should be replaced by a proper #IFDEF mechanism
#endif

