/*
 * CopyIndividual.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

individual CopyIndividual(individual t, BOOL copychrom) {

	individual v;

	if (copychrom) {
		v.chrom = CopyDNode(t.chrom);
	} else {
		v.chrom = t.chrom;
	}

	v.size = t.size;
	v.fitness = t.fitness;
	v.branch = t.branch;

	return v;
}

