/*
 * DNodeProb.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

#ifdef _SP_MODE
void DNodeProb(sp_dnode t) {
#else
void DNodeProb(dnode *t) {
#endif

	_pointdis[_dnodeindex1] = 1.0;

	//check if the node has an root adjunction
	if (RootAdjoined(t)) { //the root address
		_pointdis[_dnodeindex1]++;
	}

	_dnodeindex1++;
}
