/*
 * Delete.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

BOOL Delete(individual &child, SIZE size) {

	SIZE i;

	if (child.size >= size + MINSIZE) {
		for (i = 1; i <= size; i++) {
			if (DeleteBeta(child.chrom)) {
				child.size--;
			}
		}

		child.branch = GetAVGDNode(child.chrom);
		return TRUE;
	}

	return FALSE;
}
