/*
 * DirectedPointReplace.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

BOOL DirectedPointReplace(individual &child) {

	int j;
	#ifdef _SP_MODE
	sp_dnode dnode1;
	#else
	dnode *dnode1;
	#endif
	int replacepoint;
	SIZE temp;
	j = 0;

	while (j < MAXATEMPT) {
		replacepoint = IRandom(1u, child.size);
		LocateDNode(replacepoint, child.chrom, NULL);
		dnode1 = _idnode;

		if (_replacelist[dnode1->id] >= 0) {
			temp = _replacelist[dnode1->id];
			dnode1->id = temp;
			DeleteLList(dnode1->lexlist);
			dnode1->lexlist = BuildLList(etree[temp].root);

			return TRUE;
		}

		j++;
	}

	return FALSE;
}
