/*
 * DisplayIndividual.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

void DisplayIndividual(individual v) {

	stree s;
	cout << endl << "Genotype Structure:";
	DisplayDTree(v.chrom);
	cout << endl << "Size:" << v.size;
	cout << endl << "Branching:" << v.branch;
	cout << endl << "Fitness:" << v.fitness;
	s = Decode(v, FALSE);
	cout << endl << "Genotype Structure:";
	Display(s);
	DeleteTree(s);
}
