/*
 * PointLexMutation.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

BOOL PointLexMutation(individual &child) {

	#ifdef _SP_MODE
	sp_dnode dnode1;
	#else
	dnode *dnode1;
	#endif
	unsigned int replacepoint;

	if (child.chrom) {
		replacepoint = IRandom(1, child.size);
		LocateDNode(replacepoint, child.chrom, NULL);
		dnode1 = _idnode;
		DNodeLexMutation(dnode1);

		return TRUE;
	}

	return FALSE;
}
