/*
 * ProSelect.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

unsigned int ProSelect() {

	double k = Next_Double();
	unsigned int i = 0;

	while ((i + 1 < poplen) && (k > 0.0)) {
		k -= oldpop[i].fitness;

		if (k > 0.0) {
			i++;
		}
	}

	return i;
}
