/*
 * RootAdjoinability.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

BOOL RootAdjoinability(SIZE treeid) {

	#ifdef _SP_MODE
	sp_address p;
	#else
	address *p;
	#endif
	p = adtable[treeid].head;

	if (p) {
		while (p->next){
			p = p->next;
		}
		if (p->addr == etree[treeid].root){
			return TRUE;
		}
	}

	return FALSE;
}

