/*
 * RootAdjoined.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

#ifdef _SP_MODE
BOOL RootAdjoined(sp_dnode p) {

	sp_dnode q;
	sp_address ad;
#else
BOOL RootAdjoined(dnode *p) {

	dnode *q;
	address *ad;
#endif
	BYTE i;
	q = p->children;

	if (q) {
		while (q->sibling) {
			q = q->sibling;
		}

		ad = adtable[p->id].head;
		i = 0;

		while (i < q->addno) {
			ad = ad->next;
			i++;
		}

		if (ad->addr == etree[p->id].root) {
			return TRUE;
		}
	}

	return FALSE;
}
