/*
 * TourSelect.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

unsigned int TourSelect(SIZE size) {

	unsigned int i, j, pos = 0;
	double max = -1000;
	assert(size<=MAXTOUR);

	for (i = 0; i < size; i++) {
		j = IRandom(0, poplen - 1);
		if (oldpop[j].fitness > max) {
			max = oldpop[j].fitness;
			pos = j;
		}
	}

	return pos;
}
