/*
 * Inster.cpp
 *
 *  Created on: 2010. 5. 12.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "genetic.h"

BOOL Insert(individual &child, SIZE size, BOOL shape) {

	SIZE i;
	BOOL b;

	if (child.size + size <= MAXSIZE) {
		for (i = 1; i <= size; i++) {
			if (shape) {
				b = AddFullBeta(child.chrom);
			} else {
				b = AddBeta(child.chrom);
			}
			if (b) {
				child.size++;
			}
		}

		child.branch = GetAVGDNode(child.chrom);
		return TRUE;
	}

	return FALSE;
}
