/*
 * InitList.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "lexicon.h"

void AddTailLList(llist &l, LEXSIZE lexiconid, LEXSIZE lexemeid, double value) {

	#ifdef _SP_MODE
	sp_lnode t(new lnode);
	sp_lnode p;
	#else
	lnode *t, *p;
	t = new lnode;
	#endif

	assert(t!=NULL);
	t->lexiconid = lexiconid;
	t->lexemeid = lexemeid;
	t->value = value;
	t->next = NULL;

	if (EmptyLList(l)) {
		l.head = t;
	} else {
		p = l.head;
		while (p->next) {
			p = p->next;
		}
		p->next = t;
	}
}
