/*
 * InitList.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "lexicon.h"

void DeleteHeadLList(llist &l) {
	#ifdef _SP_MODE
	sp_lnode t;
	#else
	lnode *t;
	#endif

	if (!EmptyLList(l)) {

		t = l.head;
		l.head = (l.head)->next;
		#ifdef _SP_MODE
		check_ptr(t);
		#else	
		delete t;
		#endif
	}
}
