/*
 * InitList.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "lexicon.h"

void DeleteLList(llist &l) {
	#ifdef _SP_MODE
	sp_lnode p;
	sp_lnode q;
	#else
	lnode *p, *q;
	#endif


	
	p = l.head;

	while (p) {

		q = p;
		p = p->next;
		#ifdef _SP_MODE
		check_ptr(q);
		#else
		delete q;
		#endif
	}

	l.head = NULL;
}
