/*
 * InitList.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "lexicon.h"

LEXSIZE GetLexemeID(LEXSIZE lexid) {

	LEXSIZE i;
	double r;
	r = Next_Double();
	i = 0;

	while ((r > 0) && (i < vocab[lexid].card)) {
		r -= vocab[lexid].lexemes[i].prob;
		if (r > 0) {
			i++;
		}
	}

	if (i < vocab[lexid].card) {
		return i;
	} else {
		cout << endl << "Lexeme Distribution Error!!!";
		exit(1);
	}

	return 0;
}
