/*
 * InitList.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */
#include "lexicon.h"

void NormaliseLD(LEXSIZE lexiconid) {

	LEXSIZE i;
	double sum;
	sum = 0;

	for (i = 0; i < vocab[lexiconid].card; i++) {
		sum += vocab[lexiconid].lexemes[i].prob;
	}

	for (i = 0; i < vocab[lexiconid].card; i++) {
		vocab[lexiconid].lexemes[i].prob /= sum;
	}
}
