//This file contain the main program for TAG3P
//Programmed by NXH
//#include<conio.h>//Delete this line if you are in Unix
//#include<iostream>
//#include<cstdlib>
//#include<cstring>
//#include<cstdio>
//#include<cmath>
//#include<cassert>
#include "gconst.h"
#include "random/random.h"
#include "stree/stree.h"
#include "lexicon/lexicon.h"
#include "adtable/adtable.h"
#include "dtree/dtree.h"
#include "genetic/genetic.h"
#include "symregr/symregr.h"
#include "prune/prune.h"
#include "evolution/evolution.h"

#include <string.h>
#include "TreeToXML.h"

void SetupParameters(int argc, char* argv[])
{
	// look for parameter "-xml" :
    if( argc == 1 )
	{
		printf("pas de parametre \n");
		return;
	}

	for( int i=1 ; i< argc ; i++ )
	{
			printf(" arg %d %s \n",i,argv[i]);
		if( strcmp("-xml",argv[i]) == 0 )
		{
			if( argc > i+1 &&  argv[i+1][0] != '-' )
			{
				xmlfilename = new char[ strlen(argv[i+1]) + 1 ];
				strcpy(xmlfilename, argv[i+1]);
				xmloutputon = true;
				return;
			}
			else
			{
				printf("warning : no target file for xml output \n");
				printf("usage : -xml xmloutputfile.xml \n");
				return;
			}
		}
	}
	
}



//using namespace std;

int main(int argc, char *argv[]) {
	unsigned int i, pos;
	double min;
	//char a;
	InitRanGen();//success key: 12306-tam06,12307-tam07,12309-tam09
	//cout<<endl<<"Enter Seed:";
	//cin>>seed;

	// parameters (optional) 
	SetupParameters(argc,argv);

	Set_Seed(atol(argv[1]));//some (in many) other keys for successful induction of
	Init(); //the target function are 12347-12352,12371-12374,...
	Evolution();
	cout << endl << "Last generation:" << gen - 1 << endl;
	//cin>>a;
	cout << endl << "Best Individuals:";
	for (i = 0; i < gen; i++) {
		cout << endl << "Generation:" << i << endl;


		DisplayIndividual(bestcurrent[i]);


		cout << endl << "**********************";
		//  getch();
	}
	min = bestcurrent[0].fitness;
	pos = 0;
	for (i = 1; i < gen; i++) {
		if (bestcurrent[i].fitness < min) {
			min = bestcurrent[i].fitness;
			pos = i;
		}
	}
	cout << endl << "The best found at generation:" << "(" << pos << ")"
			<< endl << flush;
	/*DeleteIntron(bestcurrent[pos]);
	 DisplayIndividual(bestcurrent[pos]);*///bugs in DeleteIntron
	/*  s1=Decode(bestcurrent[pos],FALSE);
	 s.root=Stree2ParseTree(s1.root);
	 s.foot=NULL;
	 cout<<endl<<"Corresponding Parse Tree:";
	 Display(s);*/
	cout << endl << "Number of crossover:" << ncross;
	cout << endl << "Number of Replacement:" << nreplace;
	cout << endl << "Number of Replication:" << nrep;
	// getch();//Delete this line if you are in Unix*/

}
