/*
 * OldSubCodeDetect.cpp
 *
 *  Created on: 2010. 5. 15.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National Univ.
 */
#include "prune.h"

#ifdef _SP_MODE
sp_dnode OldSubCodeDetect(individual &v, BOOL type) //subcode of type 1 only
#else
dnode *OldSubCodeDetect(individual &v, BOOL type) //subcode of type 1 only
#endif
{
	if (type) {//find the most effective subcode
		_mloss = 999999999.99;
	} else {
		_mloss = -999999999.99;
	}

	_rawfitness2 = ComputeIndividualRF(v);
	_effordes = type;
	_subcode = NULL;
	#ifdef _SP_MODE
	sp_dnode nl;
	OldMarkingDtree2(v.chrom, nl, v);
	#else
	OldMarkingDtree2(v.chrom, NULL, v);
	#endif

	return _subcode;
}
