#ifndef __RANDOMGEN__
#define __RANDOMGEN__
//#include<cstring>
#include<iostream>
#include<cmath>
#include<cassert>
#include<cstdlib>

#include "../gconst.h"

#ifdef _SP_MODE
#include "../smart_ptr.h"
#else
#endif



using namespace std;

extern long idum;//seed number
extern long IA;
extern long IM;
extern double AM;
extern long IQ;
extern long IR;
extern unsigned int NTAB;
extern double NDIV;
extern double EPS;
extern double RNMX;
extern long iy;

#ifdef _SP_MODE
extern boost::shared_array<long> iv;
#else
extern long *iv;
#endif
//Functions

//Initialize the random generator
void InitRanGen();

void Set_Seed(unsigned int);
void Set_Seed(long);
double Next_Gaussian(double, double);
double Next_Double();
double Next_Gaussian();

//return TRUE with a probability
BOOL Flip(double);

//return a random integer between lower and upper
unsigned int IRandom(unsigned int, unsigned int);

#endif
