#ifndef __SMART__
#define __SMART__

#include <iostream>
#include "shared_ptr.hpp"
#include "shared_array.hpp"

//#include <boost/shared_array.hpp>
//template<class T> class asserted_shared_ptr:template<class T> public boost::shared_ptr{
//using namespace std;



using namespace std;
template<class Y>
void check_ptr(boost::shared_ptr<Y> &p){
 	// pointer check
 	// this function should be called at the position of using delete call
 	// we can check delete is correctly called or not
 	// if use_count is 1, it is correct
 	// if not, wrong
 	p.set_d_flag(true);
	// need to call destructor originally. ( it seems to be impossible ) 

 	if( p.use_count() == 1 ) { 
		// correct
	}else if (p.use_count() > 1){
	// throw exception or 
//		cout << "\nWarning : use_count is "<<p.use_count()<<"- dangling pointer is possible to occur\n";
	}	 
}


template<class Y>
void check_ptr(boost::shared_array<Y> &p){
 	// pointer check
 	// this function should be called at the position of using delete call
 	// we can check delete is correctly called or not
 	// if use_count is 1, it is correct
 	// if not, wrong
 	p.set_d_flag(true);
 	if( p.use_count() == 1 ) { 
		// correct
	}else if( p.use_count() > 1 ){
//		cout << "\nWarning : use_count is "<<p.use_count()<<"- dangling pointer is possible to occur\n";
	}	 
}

/*
#ifdef _SP_MODE
template<class Y>
void s_delete(boost::shared_ptr<Y> p){
	check_ptr(p);
}
template<class Y>
void s_delete(boost::shared_array<Y> p){
	check_ptr(p);
}
#else
template<class Y>
void s_delete(Y *p){
	delete p;
}
template<class Y>
void s_delete(Y [] *p){
	delete[] p;
}
#endif


#ifdef _SP_MODE
template<class Y>
void sp_delete(boost::shared_ptr<Y> p){
	check_ptr(p);
}

template<class Y>
void sa_delete(boost::shared_array<Y> p){
	check_ptr(p);
}


#else
template<class Y>
void sp_delete(Y *p){
	delete p;
}

template<class Y>
void sa_delete(Y *p){
	delete[] p;
}
#endif
*/
#endif
