/*
 * Inorder.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "stree.h"

#ifdef _SP_MODE
void Inorder(sp_node t) {

	sp_node p;
#else
void Inorder(node *t) {

	node *p;
#endif

	if (t) {
		p = t->children;
		Inorder(p);
		_doit(t);

		while (p) {
			p = p->sibling;
			Inorder(p);
		}
	}
}
