/*
 * CopyNode.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "stree.h"

#ifdef _SP_MODE
void Postorder(sp_node t) {

	sp_node p;
#else
void Postorder(node *t) {

	node *p;
#endif

	if (t) {
		p = t->children;
		while (p) {
			Postorder(p);
			p = p->sibling;
		}
		_doit(t);
	}
}
