/*
 * Preorder.cpp
 *
 *  Created on: 2010. 5. 11.
 *      Original Author: Nguyen Xuan Hoai
 *      Modifications: Structural Complexity Lab, Seoul National U
 */

#include "stree.h"

#ifdef _SP_MODE
void Preorder(sp_node t) {

	sp_node p;
#else
void Preorder(node *t) {

	node *p;
#endif

	if (t) {

		_doit(t);
		p = t->children;

		while (p) {
			Preorder(p);
			p = p->sibling;
		}
	}
}
